function Create(self)
	self.Frame = 1
	
	-- Remove any inventory
	if not self:IsInventoryEmpty() then
		self.HitsMOs = false
		self.GetsHitByMOs = false
		self.ToDelete = true
		
		local Activ = ActivityMan:GetActivity()
		Activ:SetTeamFunds(Activ:GetTeamFunds(self.Team) + self.TotalValue - self.GoldValue, self.Team)
		Activ:ReportDeath(self.Team, -1)
		
		-- Create an empty drop crate
		local Act = CreateACRocket("Armored Car Drop Res", "EDV.rte")
		if Act then
			Act.Pos = self.Pos
			Act.Vel = self.Vel
			Act.RotAngle = self.RotAngle
			Act.Team = self.Team
			MovableMan:AddActor(Act)
		end
	else
		self.Vel.Y = math.max(self.Vel.Y, 20)
		self.Wpt = self:GetLastAIWaypoint()
		if SceneMan:ShortestDistance(self.Wpt, self.Pos, false).Magnitude < 5 then
			self.Wpt = nil
		end
	end
end

function Destroy(self)
	if ((self.Pos.Y > 0 and self.Pos.Y < SceneMan.SceneHeight) or SceneMan.SceneWrapsY) and
		((self.Pos.X > 0 and self.Pos.X < SceneMan.SceneWidth) or SceneMan.SceneWrapsX)
	then
		self.HitsMOs = false
		self.GetsHitByMOs = false
		
		local res
		if FrameMan.ResX < 680 then
			res = 640
		elseif FrameMan.ResX < 760 then
			res = 720
		elseif FrameMan.ResX < 850 then
			res = 800
		elseif FrameMan.ResX < 962 then
			res = 900
		elseif FrameMan.ResX < 1088 then
			res = 1024
		elseif FrameMan.ResX < 1216 then
			res = 1152
		elseif FrameMan.ResX < 1360 then
			res = 1280
		elseif FrameMan.ResX < 1545 then
			res = 1440
		else
			res = 1650
		end
		
		local Crb = CreateACrab("Armored Car " .. res, "EDV.rte")
		if Crb then
			Crb.Pos = self.Pos + Vector(0, -40)
			Crb.Vel = Vector(0, -2)
			Crb.RotAngle = self.RotAngle
			Crb.Team = self.Team
			
			-- Any order given to the drop crate is transfered to the armored car
			if not self.Wpt then
				Crb.AIMode = Actor.AIMODE_SENTRY
			else
				Crb.AIMode = Actor.AIMODE_GOTO
				Crb:AddAISceneWaypoint(self.Wpt)
			end
			
			MovableMan:AddActor(Crb)
			ActivityMan:GetActivity():ReportDeath(self.Team, -1)
		end
	end
end

function Update(self)
	local rotate = false
	if self.RotAngle > 0.01 then
		self.AngularVel = -0.05
	elseif self.RotAngle < -0.01 then
		self.AngularVel = 0.05
	end
	
	if self.Age > 3000 and self.Vel.Magnitude < 2 then
		self:GibThis()
	end
end